Skip to main content
GET
/
api
/
plan
/
{boardId}
/
backlog
Returns unplanned items across the board's whitelisted containers. Items without a board/cycle assignment that the user can see.
curl --request GET \
  --url https://{install}/api/plan/{boardId}/backlog \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "containerId": "<string>",
      "containerName": "<string>",
      "key": "<string>",
      "name": "<string>",
      "status": "<string>",
      "workflowVerb": "<string>",
      "resourceType": "<string>",
      "resourceId": "<string>",
      "resourceName": "<string>",
      "workEstimate": 123,
      "boardId": "<string>",
      "cycleId": "<string>"
    }
  ],
  "page": 123,
  "pageSize": 123,
  "totalCount": 123,
  "warnings": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

boardId
string
required

The board ID.

Query Parameters

page
integer<int32>
default:1

Page number (default 1).

Response

Paginated backlog items.

items
object[]
page
integer<int32>
pageSize
integer<int32>
totalCount
integer<int32>
warnings
string[]